OpenJPEG: target_manager.h File Reference

OpenJPEG 2.3.0

Data Structures | Macros | Typedefs | Functions
target_manager.h File Reference
`#include "index_manager.h"`

Go to the source code of this file.

## Data Structures
struct | target_param
| target parameters More...
struct | targetlist_param
| Target list parameters. More...

## Macros
#define | MAX_LENOFTID 30
| maximum length of target identifier More...

## Typedefs
typedef struct target_param | target_param_t
| target parameters More...
typedef struct targetlist_param | targetlist_param_t
| Target list parameters. More...

## Functions
targetlist_param_t * | gene_targetlist (void)
| generate a target list More...
target_param_t * | gene_target (targetlist_param_t *targetlist, char *targetpath)
| generate a target More...
void | refer_target (target_param_t *reftarget, target_param_t **ptr)
| refer a target, used to make a new cache model More...
void | unrefer_target (target_param_t *target)
| refer a target, used to make a new cache model More...
void | delete_target (target_param_t **target)
| delete a target More...
void | delete_target_in_list (target_param_t **target, targetlist_param_t *targetlist)
| delete a target in list More...
void | delete_targetlist (targetlist_param_t **targetlist)
| delete target list More...
void | print_target (target_param_t *target)
| print target parameters More...
void | print_alltarget (targetlist_param_t *targetlist)
| print all target parameters More...
target_param_t * | search_target (const char targetname[], targetlist_param_t *targetlist)
| search a target by target name More...
target_param_t * | search_targetBytid (const char tid[], targetlist_param_t *targetlist)
| search a target by tid More...

## Macro Definition Documentation

## ◆ MAX_LENOFTID

#define MAX_LENOFTID 30

maximum length of target identifier

Referenced by gene_target(), and open_remotefile().

## Typedef Documentation

## ◆ target_param_t

typedef struct target_param target_param_t

target parameters

## ◆ targetlist_param_t

typedef struct targetlist_param targetlist_param_t

Target list parameters.

## Function Documentation

## ◆ delete_target()

void delete_target | ( | target_param_t ** | target | ) |

delete a target

Parameters

  [in,out] | target | address of the deleting target pointer

References delete_index(), FCGI_stderr, logstream, and opj_free().

Referenced by delete_target_in_list(), and delete_targetlist().

## ◆ delete_target_in_list()

void delete_target_in_list | ( | target_param_t ** | target,
|  | targetlist_param_t * | targetlist
| ) |  |

delete a target in list

Parameters

  [in,out] | target | address of the deleting target pointer
  [in] | targetlist | target list pointer

References delete_target(), targetlist_param::first, targetlist_param::last, and target_param::next.

## ◆ delete_targetlist()

void delete_targetlist | ( | targetlist_param_t ** | targetlist | ) |

delete target list

Parameters

  [in,out] | targetlist | address of the target list pointer

References delete_target(), target_param::next, and opj_free().

## ◆ gene_target()

target_param_t* gene_target | ( | targetlist_param_t * | targetlist,
|  | char * | targetpath
| ) |  |

generate a target

Parameters

  [in] | targetlist | target list to insert the generated target
  [in] | targetpath | file path or URL of the target

Returns
  pointer to the generated target

References target_param::codeidx, target_param::csn, FCGI_stderr, FCGI_stdout, target_param::fd, targetlist_param::first, isJPTfeasible(), target_param::jppstream, target_param::jptstream, targetlist_param::last, logstream, MAX_LENOFTID, target_param::next, target_param::num_of_use, open_jp2file(), opj_malloc(), OPJ_TRUE, parse_jp2file(), target_param::targetname, and target_param::tid.

Referenced by identify_target().

## ◆ gene_targetlist()

targetlist_param_t* gene_targetlist | ( | void |  | ) |

generate a target list

Returns
  pointer to the generated target list

References targetlist_param::first, targetlist_param::last, and opj_malloc().

## ◆ print_alltarget()

void print_alltarget | ( | targetlist_param_t * | targetlist | ) |

print all target parameters

Parameters

  [in] | targetlist | target list pointer

References targetlist_param::first, target_param::next, and print_target().

## ◆ print_target()

void print_target | ( | target_param_t * | target | ) |

print target parameters

Parameters

  [in] | target | target pointer

References target_param::csn, logstream, target_param::targetname, and target_param::tid.

Referenced by print_allsession(), and print_alltarget().

## ◆ refer_target()

void refer_target | ( | target_param_t * | reftarget,
|  | target_param_t ** | ptr
| ) |  |

refer a target, used to make a new cache model

Parameters

  [in] | reftarget | reference target pointer
  [out] | ptr | address of feeding target pointer

References target_param::num_of_use.

Referenced by gene_cachemodel().

## ◆ search_target()

target_param_t* search_target | ( | const char | targetname[],
|  | targetlist_param_t * | targetlist
| ) |  |

search a target by target name

Parameters

  [in] | targetname | target name
  [in] | targetlist | target list pointer

Returns
  found target pointer

References targetlist_param::first, target_param::next, and target_param::targetname.

Referenced by identify_target().

## ◆ search_targetBytid()

target_param_t* search_targetBytid | ( | const char | tid[],
|  | targetlist_param_t * | targetlist
| ) |  |

search a target by tid

Parameters

  [in] | tid | target identifier
  [in] | targetlist | target list pointer

Returns
  found target pointer

References targetlist_param::first, target_param::next, and target_param::tid.

Referenced by identify_target().

## ◆ unrefer_target()

void unrefer_target | ( | target_param_t * | target | ) |

refer a target, used to make a new cache model

Parameters

  [in] | target | reference pointer to the target

References target_param::num_of_use.

Referenced by delete_cachemodel().